/////////////////////////////////////////////////////////////////////////////
// GliD3D.cpp : GliD3D - Glide to Direct3D
/////////////////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////////////////
// Directive

#include <windows.h>
#include "GliD3D.h"
// Windows
#pragma comment(lib, "WinMM.lib")
#pragma comment(lib, "OLE32.lib")
#pragma comment(lib, "IMM32.lib")
#pragma comment(lib, "Version.lib")

/*
// DirectX
#pragma comment(lib, "DxGuid.lib")
#pragma comment(lib, "DDraw.lib")
#pragma comment(lib, "D3DRM.lib")
*/

//#define BOOL int;
/////////////////////////////////////////////////////////////////////////////

BOOL
GliD3DGetProfileString(LPCSTR pszSection, LPCSTR pszKey, LPCSTR pszDefault, LPSTR pszDest, LPCSTR pszProfileName)
{
	GetPrivateProfileString(pszSection, pszKey, pszDefault, pszDest, 256, pszProfileName);
	return TRUE;
}

INT
GliD3DGetProfileInt(LPCSTR pszSection, LPCSTR pszKey, INT nDefault, LPCSTR pszProfileName)
{
	CHAR pszDefault[32];
	CHAR pszDest[32];
	INT nDest;
	BOOL bSucceeded;

	itoa(nDefault, pszDefault, 10);
	bSucceeded = GetPrivateProfileString(pszSection, pszKey, pszDefault, pszDest, 256, pszProfileName);
	nDest = atoi(pszDest);
	return nDest;
}

BOOL
GliD3DWriteProfileString(LPCSTR pszSection, LPCSTR pszKey, LPSTR pszSrc, LPCSTR pszProfileName)
{
	return WritePrivateProfileString(pszSection, pszKey, pszSrc, pszProfileName);
}

BOOL
GliD3DWriteProfileInt(LPCSTR pszSection, LPCSTR pszKey, INT nSrc, LPCSTR pszProfileName)
{
	CHAR pszSrc[32];

	itoa(nSrc, pszSrc, 10);
	return WritePrivateProfileString(pszSection, pszKey, pszSrc, pszProfileName);
}

/////////////////////////////////////////////////////////////////////////////
